#version 430
#define YR_ACCURACY 4096.0f

uniform mat4 light_mat;
uniform mat4 mdl_mat;

layout(location=0) in vec3 vtx_Pos;
layout(location=1) in vec3 vtx_Normal;
layout(location=2) in vec2 vtx_TexCoord;

void main(void) {
	gl_Position = light_mat * (mdl_mat * vec4(vtx_Pos,1.0f));
}
